=== debian/changelog ===
ros-rolling-stubborn-buddies (1.0.0-3focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Marco A. Gutiérrez <marco@openrobotics.org>  Thu, 10 Jun 2021 06:00:57 -0000
